Subject: Re: [PATCH net-next 1/2] connector/cn_proc: Handle threads for proc connector

From: Oleg Nesterov <[email-masked]>
Date: Fri, 20 Sep 2024 20:44:31 +0200

On 09/20, Anjali Kulkarni wrote:
>
> > On Sep 20, 2024, at 4:00 AM, Oleg Nesterov <[email-masked]> wrote:
> >
> > I don't think you can use task_struct->exit_code. If this task is ptraced,
> > it can be changed/cleared in, say, ptrace_stop() after PROC_CN_MCAST_NOTIFY.
> >
>
> Thank you, that’s a good point! However, the use case of ptrace, which I assume
> is for mostly debug and tracing, is exclusive of the use case I am using it for

Well. I don't understand your use-case. Or any other use-case for drivers/connector/
that I know nothing about. But this is irrelevant.

The new PROC_CN_MCAST_NOTIFY functionality you propose should work regardless of
whether this task is ptraced or not. But it doesn't because the usage of ->exit_code
in your patch conflicts with the current usage of this field.

So, NACK, sorry.

Oleg.